    001/* ========================================================================
    002 * JCommon : a free general purpose class library for the Java(tm) platform
    003 * ========================================================================
    004 *
    005 * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jcommon/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025 * in the United States and other countries.]
    026 *
    027 * -----------------------
    028 * XmlReaderException.java
    029 * -----------------------
    030 * (C)opyright 2003, 2004, by Thomas Morgner and Contributors.
    031 *
    032 * Original Author:  Thomas Morgner;
    033 * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034 *
    035 * $Id: XmlReaderException.java,v 1.2 2005/10/18 13:32:52 mungady Exp $
    036 *
    037 * Changes
    038 * -------
    039 * 22-Nov-2003 : Initial version
    040 * 11-Feb-2004 : Added missing Javadocs (DG);
    041 *
    042 */
    043
    044package org.jfree.xml.parser;
    045
    046import org.jfree.xml.util.ObjectDescriptionException;
    047
    048/**
    049 * An XML reader exception.
    050 */
    051public class XmlReaderException extends ObjectDescriptionException {
    052    /**
    053     * Creates a StackableRuntimeException with no message and no parent.
    054     */
    055    public XmlReaderException() {
    056        super();
    057    }
    058
    059    /**
    060     * Creates an exception.
    061     *
    062     * @param message  the exception message.
    063     */
    064    public XmlReaderException(final String message) {
    065        super(message);
    066    }
    067
    068    /**
    069     * Creates an exception.
    070     *
    071     * @param message  the exception message.
    072     * @param ex  the parent exception.
    073     */
    074    public XmlReaderException(final String message, final Exception ex) {
    075        super(message, ex);
    076    }
    077}